import { UnityAction } from '@/utils/utils';
import { CloseOutlined } from '@ant-design/icons';
import styles from './index.less';

export default (props) => {
  const { children, style, closeable = true } = props;

  const handleClose = () => {
    UnityAction.sendMsg('closePage');
  };

  return (
    <div className={styles.page} style={style}>
      {closeable && (
        <CloseOutlined onClick={handleClose} className={styles.close} />
      )}

      {children}
    </div>
  );
};
